## graphviz 2.26.3

=== debian/changelog ===
graphviz (2.26.3-7) unstable; urgency=low

  * refresh patches
  * Add patch by Petr Salinger to handle chroot case on kFreeBSD
    correctly (Closes: #575797)
  * Fix clean target

 -- Christoph Egger <christoph@debian.org>  Wed, 18 May 2011 23:13:54 +0200

graphviz (2.26.3-6) unstable; urgency=low

  [ David Claughton ]
  * Fix capitalisation of PHP in package description (Closes: #613990)
  * Apply patch by Samuel Thibault to fix problem on Hurd causing
    doxygen FTBFS bugs - Thanks Samuel! (Closes: #578320) 
  * Add Python 2.7 support (Closes: #623165). Thanks to Barry Warsaw
    for the patch and Mehdi Dogguy for additional work and testing.
    - Added dh-autoreconf as a Build-Dependency
    - Added patch python27-support
  * Simply patch 50_remove_changelog_in because we now autoreconf.
  * Minor fixes to dot.1 manpage. Thanks to Mats Erik Andersson
    for the patch. (Closes: #622781)

  [ Mehdi Dogguy ]
  * Rebuild with OCaml 3.12.0 (Closes: #623289).

 -- David Claughton <dave@eclecticdave.com>  Tue, 26 Apr 2011 22:26:05 +0200

graphviz (2.26.3-5) unstable; urgency=low

  [ David Claughton ]
  * Oops, spelling correction to lefty.1 manpage missed 2.26.3-3 and
    got included into 2.26.3-4 instead.  Fixed-up changelog to
    reflect true history.
  * Fix bashism in vimdot (Closes: #581107)
  * Build with GTK Support (Closes: #457433)

  [ Christoph Egger ]
  * Bump dependency on debhelper as needed by dh-ocaml foo

 -- David Claughton <dave@eclecticdave.com>  Fri, 11 Jun 2010 00:58:54 +0100

graphviz (2.26.3-4) unstable; urgency=low

  * Add patch to fix segfault in circo. Backported from upstream snapshot
    release.  Thanks to Francis Russell for his work on this.
    (Closes: #575255)
  * Fixed spelling mistake in lefty.1 manpage.  Thanks to A. Costa
    <agcosta AT gis DOT net> for spotting this. (Closes: #573639)

 -- David Claughton <dave@eclecticdave.com>  Wed, 24 Mar 2010 22:45:18 +0000

graphviz (2.26.3-3) unstable; urgency=low

  * Backport fix on CVS for dot -y output (Closes: #573781) 
  * Restore missing changelog entries which vanished as a result of 
    2.26 development being done on a branch

 -- David Claughton <dave@eclecticdave.com>  Tue, 16 Mar 2010 21:51:38 +0000

graphviz (2.26.3-2) unstable; urgency=low

  * Add manpages for vimdot and diffimg
  * Create dot2glx.1 and glx2dot.1 as symlinks to gv2glx.1 and glx2gv.1
    (executables are already linked equivalently)
  * Fix manpage warnings and spelling mistakes reported by Lintian.
  * Remove absolute path to libgvc5-config-update in postinst
  * Fixup NEWS.Debian
  * Add patch fix_powerpc_ftbfs - make upstream's fix to powerpc-darwin8
    apply only when building on darwin
  * Add missing file lib/common/mksvgfonts.pl which can be found in
    upstream CVS but is not in the release tarball.
  * Added patch 3_fix_pango_font_selection to append comma to font
    family name passed to pango - needed when family name contains
    spaces.
  * Update Standards Version (no changes required)
  * Changed build deps libjpeg62-dev -> libjpeg-dev as recommended
    by release team.
  * Modified short descriptions to libraries to make them unique.
  * Moved libgvc5-config-update manpage to section 8 (Closes: #512447)

 -- David Claughton <dave@eclecticdave.com>  Thu, 09 Feb 2010 22:30:55 +0000

graphviz (2.26.3-1) experimental; urgency=low

  [ David Claughton ]
  * New upstream release (Closes: #554222, #522356, #521539)
  * Switched to package format 3.0 (quilt)
    - avoids need to repack to remove debian directory
  * Split libgraphviz4 package into separate packages for libgraph4,
    libcgraph5, libcdt4, libpathplan4 and libgvc5 due to soname
    changes and removal of libagraph
    N.B. libraries conflict with libgraphviz4 - this release cannot coexist
    with the previous one
  * Patches no longer needed due to inclusion upstream or obsoleted
    by upstream changes
    - 0_versioned_plugin_config_file
    - 0_libtool_linking_reorder_workaround
    - 10_fix_tred_regression
    - 20_fix_parser_stack_overflow
    - 30_fix_swig_tcl_ftbfs
  * Patches with hunks removed because they are included or obsoleted by
    upstream
    - 0_bindings_documentation
    - 0_tcl_manpages_section
    - 40_fix_swig_php_ftbfs
  * Added support for python 2.6; Dropped support for 2.4 (Closes: #522004)
  * Removed manpage renames, now done upstream
  * libagraph.so and agraph.3 manpage no longer exist
  * Added patch 50_remove_changelog_in to prevent upstream attempt to
    recreate changelog from changelog.in
  * Updated build-deps
  * Corrected install location of libgv-tcl libraries (Closes: #521538)
    (Thanks Ilya Anfimov)

  [ Christoph Egger ]
  * Drop quilt from build-deps, no longer needed with source 3.0
  * Linewrap build-deps so diff becomes usable
  * Bump standards Version (no changes)
  * Determine --enable-python$ver automatically
  * Upload to experimental

 -- Christoph Egger <christoph@debian.org>  Sun, 31 Jan 2010 23:19:24 +0100

graphviz (2.20.2-8) unstable; urgency=low

  * Maintenance upload until 2.26 is ready
  * Add phpapi-<version> depend to libgv-php5 (Closes: #566287)
  * Minor fix to debian/rules - use pyversions -r instead of -s in
    PYTHON_VERSIONS def.  Fixes FTBFS due to migration of python2.6 to
    unstable.
  * Fix a couple of issues preventing graphviz from building twice
    in succession
      - modified patch 20_fix_parser_stack_overflow to only patch parser.y
        not intermediate bison files - also causes intermediate files to
        be regenerated
      - added patch 0_fix_htmlparse_bison_2_4 to fix FTBFS when using
        bison 2.4

 -- David Claughton <dave@eclecticdave.com>  Sat, 23 Jan 2010 23:24:40 +0000

graphviz (2.20.2-7) unstable; urgency=low

  * Maintenance upload untill 2.26 is ready
  * New Maintainers (Closes: #536245)
  * Drop python2.4 support (Closes: #562407)
  * Version dependency on swig (Closes: #505040)


