=== debian/control ===
--- 
+++ 
@@ -1,16 +1,60 @@
 Source: graphviz
 Section: graphics
 Priority: optional
-Maintainer: John Ellson <ellson@graphviz.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5), libfreetype6-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libxaw7-dev, bison, flex, autotools-dev, libexpat1-dev, libfontconfig1-dev, libltdl7-dev, libperl-dev, quilt (>= 0.40), groff-base, gs-gpl,  libcairo2-dev, libpango1.0-dev, d-shlibs 
+Maintainer: David Claughton <dave@eclecticdave.com>
+Uploaders: Christoph Egger <christoph@debian.org>,
+ Sebastian Harl <tokkee@debian.org>
+Standards-Version: 3.8.4
+Build-Depends: tk8.5-dev,
+ tcl8.5-dev,
+ debhelper (>= 7.1.0~),
+ libfreetype6-dev,
+ zlib1g-dev,
+ libjpeg-dev,
+ libpng12-dev,
+ libxaw7-dev,
+ bison,
+ flex,
+ autotools-dev,
+ pdksh,
+ libexpat1-dev,
+ libfontconfig1-dev,
+ libltdl-dev (>= 2.2.6b),
+ swig,
+ libperl-dev,
+ libgd2-noxpm-dev (>= 2.0.35),
+ groff-base,
+ ghostscript,
+ lua5.1,
+ liblua5.1-0-dev,
+ ruby,
+ ruby1.8-dev,
+ php5-dev,
+ php5-cli,
+ ocaml-nox (>= 3.11.1-3),
+ python-all-dev,
+ python-minimal,
+ libcairo2-dev,
+ libpango1.0-dev,
+ guile-1.8-dev,
+ d-shlibs,
+ python-support,
+ chrpath,
+ dh-ocaml (>= 0.9.1),
+ dh-autoreconf,
+ libgtk2.0-dev,
+ libgnomeui-dev
+Build-Conflicts: tcl8.3, tcl8.4
+Vcs-Git: git://git.debian.org/git/collab-maint/graphviz.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/graphviz.git
 Homepage: http://www.graphviz.org/
 
 Package: graphviz
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: gdtclft
-Suggests: msttcorefonts, gsfonts, graphviz-doc
+Recommends: ttf-liberation
+Suggests: gsfonts, graphviz-doc
 Description: rich set of graph drawing tools
  Graph drawing addresses the problem of visualizing structural information
  by constructing geometric representations of abstract graphs and networks.
@@ -34,10 +78,43 @@
  .
  This package contains the command-line tools.
 
+Package: libgv-guile
+Architecture: any
+Section: interpreters
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Guile bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the guile (1.8) bindings.
+
+Package: libgv-lua
+Architecture: any
+Section: interpreters
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Lua bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the lua5.1 bindings.
+
+Package: libgv-ocaml
+Architecture: any
+Section: ocaml
+Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${ocaml:Provides}
+Description: OCaml bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the OCaml bindings. The associated development files
+ are in the libgraphviz-dev package so as to limit the number of binary
+ packages.
+
 Package: libgv-perl
 Architecture: any
 Section: perl
-Depends: ${perl:Depends}, ${shlibs:Depends}
+Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: graphviz (<< 2.12-1)
 Description: Perl bindings for graphviz
  Graphviz is a set of graph drawing tools. See the description of the graphviz
@@ -45,23 +122,151 @@
  .
  This package contains the Perl bindings.
 
-Package: libgraphviz4
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends}
-Description: rich set of graph drawing tools
- Graphviz is a set of graph drawing tools. See the description of the graphviz
- package for a full description.
- .
- This package contains the libraries.
+Package: libgv-php5
+Architecture: any
+Section: php
+Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
+Description: PHP5 bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the PHP5 bindings.
+
+Package: libgv-python
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Description: Python bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the Python bindings.
+
+Package: libgv-ruby
+Architecture: any
+Section: ruby
+Depends: ${shlibs:Depends}, ruby1.8, ${misc:Depends}
+Description: Ruby bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the Ruby (1.8) bindings.
+
+
+Package: libgv-tcl
+Architecture: any
+Section: interpreters
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: graphviz (<< 2.12-1)
+Description: Tcl bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the Tcl (8.5) bindings.
+
+Package: libgraph4
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - graph library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the graph library.
+
+Package: libcgraph5
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - cgraph library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the cgraph library.
+
+Package: libcdt4
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - cdt library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the cdt library.
+
+Package: libpathplan4
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - pathplan library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the pathplan library.
+
+Package: libgvc5
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - gvc library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the gvc library.
+
+Package: libgvc5-plugins-gtk
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - gtk plugins
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the gtk and gdk-pixbuf plugins.
+
+Package: libgvpr1
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - gvpr library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the gvpr library.
+
+Package: libxdot4
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - xdot library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the xdot library.
 
 Package: libgraphviz-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphviz4 (= ${binary:Version}), ${devlibs:Depends}
-Suggests: ocaml-base-nox-${F:OCamlABI}, ocaml-findlib
-Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
-Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
+Depends: libcdt4 (= ${binary:Version}),
+ libcgraph5 (= ${binary:Version}),
+ libgraph4 (= ${binary:Version}),
+ libgvc5 (= ${binary:Version}),
+ libgvpr1 (= ${binary:Version}),
+ libpathplan4 (= ${binary:Version}),
+ libxdot4 (= ${binary:Version}),
+ ${devlibs:Depends}, ${misc:Depends},
+ ocaml-base-nox-${F:OCamlABI}
+Suggests: ocaml-findlib
+Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
+Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
 Provides: graphviz-dev
 Description: graphviz libs and headers against which to build applications
  Graphviz is a set of graph drawing tools. See the description of the graphviz
@@ -75,6 +280,7 @@
  Note: A graphviz user doesn't need to install this package.
 
 Package: graphviz-doc
+Depends: ${misc:Depends}
 Architecture: all
 Section: doc
 Conflicts: graphviz (<< 2.12-1)
@@ -88,7 +294,8 @@
 
 Package: graphviz-dev
 Architecture: all
-Depends: libgraphviz-dev
+Section: devel
+Depends: libgraphviz-dev, ${misc:Depends}
 Description: transitional package for graphviz-dev rename
  Graphviz is a set of graph drawing tools. See the description of the graphviz
  package for a full description.
